#### Beyond Linux® From Scratch (systemd Edition) - Version r13.0-491

### Chapter 25. Graphical Environment Libraries

- Prev

  gdk-pixbuf-2.44.6

- Next

  glslang-16.3.0

- Up
- Home

# GLEW-2.3.1

## Introduction to GLEW

GLEW is the OpenGL Extension Wrangler Library.

### Note

Development versions of BLFS may not build or run some packages properly if LFS or dependencies have been updated since the most recent stable versions of the books.

### Package Information

- Download (HTTP): https://downloads.sourceforge.net/glew/glew-2.3.1.tgz

- Download MD5 sum: 923ac4437518cc7cd323adde8a4091ae

- Download size: 848 KB

- Estimated disk space required: 18 MB

- Estimated build time: less than 0.1 SBU

### glew Dependencies

#### Required

Mesa-26.0.1

## Installation of GLEW

Install GLEW by running the following commands:

    sed -i 's%lib64%lib%g' config/Makefile.linux &&
    sed -e '/glew.lib.static:/d' \
        -e '/0644 .*STATIC/d'    \
        -e 's/glew.lib.static//' \
        -e 's|/local||'          \
        -i Makefile              &&
    make

This package does not come with a test suite.

Now, as the `root` user:

    make install.all

## Command Explanations

sed -i 's%lib64%lib%g' ...: This ensures that the library is installed in `/usr/lib`.

sed -i -e '/glew.lib.static:/d' ...: This suppresses the static library.

sed -i -e 's|/local||' ...: This ensures the package is installed in `/usr`.

make install.all: This installs the programs as well as the library.

## Contents

Installed Programs: glewinfo and visualinfo
Installed Library: libGLEW.so
Installed Directory: /usr/include/GL

### Short Descriptions

glewinfo | provides information about the supported extensions
visualinfo | is an extended version of glxinfo
`libGLEW.so` | provides functions to access OpenGL extensions

- Prev

  gdk-pixbuf-2.44.6

- Next

  glslang-16.3.0

- Up
- Home